js_match(3)

NAME
js_match - search for any literal character in exp in the string js

SYNOPSIS
#include JsStr.h

int js_match(js_string *exp, js_string *js)

DESCRIPTION
js_match searches for any single character in the expression exp in the string js.

The expression exp is treated as a list of characters we look for in the string js. No characters are considered metacharacters in the expression exp.

RETURN VALUE
js_match returns -2 if none of the characters in exp was found in the string js, the offset of the first found character if the string was found (0 if it was found at the top of the string, 1 if it was found starting at the second character in the string, etc), and JS_ERROR if there was an error when searching for a character in the expression.

EXAMPLE
The following example will find the character 3 in the string "543" in the string "1234567890":

	js_string *foo, *bar;
	foo = js_create(256,1);
	bar = js_create(256,1);
	js_str2js(foo,"1234567890",10,1);
	js_str2js(bar,"543",3,1);
	printf("%d\n",js_match(bar,foo)); /* You will see 2 */

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>